package com.bjtdba.order.service.impl;

import com.bjtdba.entity.order.StoreProductAttrValue;
import com.bjtdba.order.dao.StoreProductAttrValueDao;
import com.bjtdba.order.service.StoreProductAttrValueService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 商品属性值表(StoreProductAttrValue)表服务实现类
 *
 * @author makejava
 * @since 2022-09-28 17:33:57
 */
@Service("storeProductAttrValueService")
public class StoreProductAttrValueServiceImpl implements StoreProductAttrValueService {
    @Resource
    private StoreProductAttrValueDao storeProductAttrValueDao;

    /**
     * 通过ID查询单条数据
     *
     * @return 实例对象
     */
    @Override
    public StoreProductAttrValue queryById( ) {
        return this.storeProductAttrValueDao.queryById();
    }

    @Override
    public StoreProductAttrValue queryByunique(String unique) {
        return this.storeProductAttrValueDao.queryByunique(unique);
    }

    /**
     * 通过条件查询 返回list
     * @param storeProductAttrValue
     * @return
     */
    public List<StoreProductAttrValue> queryAllByList(StoreProductAttrValue storeProductAttrValue){
        return this.storeProductAttrValueDao.queryAllByList(storeProductAttrValue);
    }

    /**
     * 分页查询
     *
     * @param storeProductAttrValue 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<StoreProductAttrValue> queryByPage(StoreProductAttrValue storeProductAttrValue, PageRequest pageRequest) {
        long total = this.storeProductAttrValueDao.count(storeProductAttrValue);
        return new PageImpl<>(this.storeProductAttrValueDao.queryAllByLimit(storeProductAttrValue, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param storeProductAttrValue 实例对象
     * @return 实例对象
     */
    @Override
    public StoreProductAttrValue insert(StoreProductAttrValue storeProductAttrValue) {
        this.storeProductAttrValueDao.insert(storeProductAttrValue);
        return storeProductAttrValue;
    }

    /**
     * 修改数据
     *
     * @param storeProductAttrValue 实例对象
     * @return 实例对象
     */
    @Override
    public StoreProductAttrValue update(StoreProductAttrValue storeProductAttrValue) {
        this.storeProductAttrValueDao.update(storeProductAttrValue);
        return this.queryById();
    }

    /**
     * 通过主键删除数据
     *
     * @return 是否成功
     */
    @Override
    public boolean deleteById( ) {
        return this.storeProductAttrValueDao.deleteById() > 0;
    }
}
